#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.12.0
 Author:         m47
 Version:		 1.5

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

#include <Misc.au3>

Opt("MustDeclareVars", 1) ;1 = Variable muss deklariert werden
Opt("WinTitleMatchMode", 3) ;3 = genaue Textbereinstimmung anwenden

Global $Script_Name = "2Explorer" ;http://de.wikipedia.org/wiki/Windows-Explorer ;Befehlszeilenoptionen fr Windows-Explorer http://support2.microsoft.com/kb/130510/de
Global $i
Global $Timer

If _Singleton($Script_Name,1) = 0 Then
    Sound() ;
    Exit
EndIf

;Tooltip
Dim $Tooltip_Text[4]
$Tooltip_Text[0] = "Exlorers "
$Tooltip_Text[1] = "closed in "
$Tooltip_Text[2] = "opened in "
$Tooltip_Text[3] = "  seconds"
Dim $Tooltip_Sleep_Delay = 2000 ;Millisekunden warten um die Tooltipanzeige aufrecht zu halten

;Start
$Timer = TimerInit()
If WinExists("[CLASS:CabinetWClass]") Then ;prft ob ein Explorerfenster existiert
	Do
		Exit_Timer(5000) ;
	Until WinClose("[CLASS:CabinetWClass]") = 0 ;schliesst Explorerfenster bis keine existieren
	Tooltip_opened_closed($Tooltip_Text[1]) ;Zeitangabe wie schnell alle Explorerfenster geschlossen wurden
Else
	BlockInput(1) ;Sperrt Eingaben des Users
	Send("#e #e") ;ffne zwei Windows Explorer
	Do
		Local $hWnd_Explorer_Fenster = WinList("[TITLE:Computer]") ;per  Winlist das Fensterhandle der Explorerfenster erhalten
		Exit_Timer(5000) ;
	Until Ubound($hWnd_Explorer_Fenster) = 3 ;solange bis zwei Exlorerfenster/Handles existieren
	Do
		WinActivate($hWnd_Explorer_Fenster[1][1]) ;das Handle Nr.1 aktivieren
		Exit_Timer(5000) ;
	Until BitAnd(WinGetState($hWnd_Explorer_Fenster[1][1]), 8) ;solange bis Handle Nr.1 aktiviert ist
	Send("{LWINDOWN}{LEFT}") ;erstes Explorerfenster auf die linke Bildschirmhlfte platzieren, Windowstaste gedrckt halten + Pfeil links
	Do
		WinActivate($hWnd_Explorer_Fenster[2][1]) ;das Handle Nr.2 aktivieren
		Exit_Timer(5000) ;
	Until BitAnd(WinGetState($hWnd_Explorer_Fenster[2] [1]), 8) ;solange bis Handle Nr.2 aktiviert ist
	Send("{LWINDOWN}{RIGHT}") ;zweites Explorerfenster auf die rechte Bildschirmhlfte platzieren, Windowstaste gedrckt halten + Pfeil rechts
	Send("{LWINUP}") ;Windowstaste los lassen
	BlockInput(0) ;Entsperrt Eingaben des Users
	Tooltip_opened_closed($Tooltip_Text[2]) ;Zeitangabe wie schnell zwei Explorerfenster geffnet und platziert wurden
EndIf
Exit
;Ende

;Funktionen
Func Tooltip_opened_closed($i)
	ToolTip($Tooltip_Text[0] & $i & Round(TimerDiff($Timer)/1000, 1) & $Tooltip_Text[3], @DesktopWidth/2, @DesktopHeight/2)
	Sleep($Tooltip_Sleep_Delay)
	Exit
Endfunc

Func Exit_Timer($i) ;sind zuletzt $i Millisekunden berschritten worden dann beende das Script
	If TimerDiff($Timer) > $i Then
		Exit
	EndIf
EndFunc

Func Sound()
	Beep(200,200)
EndFunc